/*
 * Custom code goes here.
 * A template should always ship with an empty custom.js
 */

$(window).load(function() {
  $("#loader").fadeOut("1500");
});
var rtlflag = false;
$(document).ready(function () {
    if ($("body").hasClass("lang-rtl")) {
        rtlflag = true;
    }
    listGrid();
    productimgcarousel("#main .mask .product-images");
    /*------- Start accessories For product -------*/
    product_accessories($('#accessories'));
    function product_accessories(el) {
        el.owlCarousel({
            responsiveClass:true,
            nav: !0,
            rewind: !0,
            rtl: rtlflag,
            autoplay: !0,
            navText: ['<i class="material-icons"></i>','<i class="material-icons"></i>'],
            responsive:{
                0:{
                    items:1
                },
                544:{
                    items:2
                },
                768:{
                    items:3
                },
                992:{
                    items:3
                },
                1200:{
                    items:4
                }
            }
        });
    }
    /*------- Start Carousel For all left product -------*/
    product_left($('#new-owl, #best-owl'));
    function product_left(el) {
        el.owlCarousel({
            responsiveClass:true,
            nav: !0,
            rewind: !0,
            rtl: rtlflag,
            autoplay: !0,
            navText: ['<i class="material-icons"></i>','<i class="material-icons"></i>'],
            responsive:{
                0:{
                    items:1
                }
            }
        });
    }
    /*------- Start Carousel For smartblog -------*/
    smartblogblock($('#smartblog'));
    function smartblogblock(el) {
    	el.owlCarousel({
    		responsiveClass:true,
    		nav: !0,
    		rewind: !0,
    		rtl: rtlflag,
    		autoplay: !0,
    		navText: ['<i class="material-icons"></i>','<i class="material-icons"></i>'],
    		responsive:{
    			0:{
    				items:1
    			},
    			543:{
    				items:1
    			},
    			767:{
    				items:2
    			},
    			991:{
    				items:2
    			},
    			1200:{
    				items:3
    			}
    		}
    	});
    }
    /*------- Start Carousel For smartblog -------*/
    manufacturerblock($('#manufacturer'));
    function manufacturerblock(el) {
    	el.owlCarousel({
    		responsiveClass:true,
    		nav: !0,
    		rewind: !0,
    		rtl: rtlflag,
    		autoplay: !0,
    		navText: ['<i class="material-icons"></i>','<i class="material-icons"></i>'],
    		responsive:{
    			0:{
                    items:1
                },
                544:{
                    items:2
                },
                768:{
                    items:3
                },
                992:{
                    items:4
                },
                1200:{
                    items:5
                }
    		}
    	});
    }

    /*------- Start parallax js -------*/ 
    var isMobile = /Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent);
    if(!isMobile) {
        if($(".parallax").length) {
            $(".parallax").sitManParallex({  invert: false });
        };
    } else {
        $(".parallax").sitManParallex({  invert: true });
    }


});
	/*------- Start product select-img carousel js -------*/ 
    function productimgcarousel(productdImgid) {
        $(productdImgid).owlCarousel({
            responsiveClass:true,
            nav: !0,
            rewind: !0,
            rtl: rtlflag,
            autoplay: !0,
            navText: ['<i class="material-icons"></i>','<i class="material-icons"></i>'],
            responsive:{
                0:{
                    items:2
                },
                480:{
                    items:3
                },
                768:{
                    items:2
                },
                992:{
                    items:3
                },
                1200:{
                    items:4
                }
            }
        });
    }
    /*------- Start back to top js -------*/ 
    if ($('.back-to-top').length) {
            var scrollTrigger = 250, // px
            backToTop = function () {
                var scrollTop = $(window).scrollTop();
                if (scrollTop > scrollTrigger) {
                    $('.back-to-top').addClass('show').fadeIn(800);
                } else {
                    $('.back-to-top').removeClass('show').fadeOut(800);
                }
            };
            backToTop();
            $(window).on('scroll', function () {
                backToTop();
            });
            $('.back-to-top').on('click', function (e) {
                e.preventDefault();
                $('html,body').animate({
                    scrollTop: 0
                }, 1000);
            });
    }
    /*------- Start addtocart js -------*/ 
    $(document).on('click','.shoppingcart',function() {
        $(this).siblings('.dropdown-menu').stop(true,true).slideToggle();
    });
    $('#header .blockcart ul.products').slimScroll({
        height: $('#header .blockcart ul.products').length > 1 ? '385px' : '100%'
    });
    /*------- Start Search-widget -------*/ 
    $('.search-logo').click(function(event) {

      $(this).toggleClass('active');
      event.stopPropagation();
      $(".search_product").slideToggle("medium");
      return false;
    });
    $(".search_product").on("click", function(event) {
      event.stopPropagation();
    });
    /* ----------- start Search Toggle ----------- */
    function openSearch() {
        $('body').addClass("active-search");
        $('html').addClass("no_scroll");
        document.getElementById("category_search").style.height = "100%";
    }
    function closeSearch() {
        document.getElementById("category_search").style.height = "0";
        $('body').removeClass("active-search");
        $('html').removeClass("no_scroll");
    }
    /*------- Start listGrid js -------*/ 
    function listGrid() {
        var view = $.totalStorage('display');
        if (!view && (typeof displayList != 'undefined') && displayList)
            view = 'list';
        if (view && view != 'grid')
            display(view);
        else $('.display').find('#avsgrid').addClass('selected');
        $(document).on('click', '#avsgrid', function(e) {
            e.preventDefault();
            $('div.products').animate({
                opacity: 0
            }, 400);
            setTimeout(function() {
                display('grid')
            }, 400)
            $('div.products').animate({
                opacity: 1
            }, 400)
        });
        $(document).on('click', '#avslist', function(e) {
            e.preventDefault();
            $('div.products').animate({
                opacity: 0
            }, 400)
            setTimeout(function() {
                display('list')
            }, 400)
            $('div.products').animate({
                opacity: 1
            }, 400)
        })
    }
    /*------- Start pro_listGrid js -------*/  
    function display(view) {
        if (view == 'grid') {
            $('#products div.products').addClass('grid').removeClass('list');
            $('#products div.products > article').removeClass('col-xs-12').addClass('col-xs-12 col-sm-6 col-md-4 col-lg-6 col-xl-4');
            $('#products div.products > article .product-content').removeClass('row');
            $('#products div.products > article .product-content .thumbnail-container').removeClass('col-xs-12 col-sm-6 col-md-4 col-lg-4');
            $('#products div.products > article .product-content .product-description').removeClass('col-xs-12 col-sm-6 col-md-8 col-lg-8');
            $('#products div.products.grid > article .product-content .product-description .thumbnail-buttons').each(function() {
                $(this).appendTo($(this).parent().parent().parent().find('.thumbnail-inner'))
            });
            $('#products div.products.grid > article .product-content .product-description .productcomment_reviews .hook-reviews').each(function() {
                $(this).appendTo($(this).parent().parent().parent().find('.productcomment_review'))
            });
            $('.display').find('#avsgrid').addClass('selected');
            $('.display').find('#avslist').removeAttr('class');
            $.totalStorage('display', 'grid')
        } else {
            $('#products div.products').addClass('list').removeClass('grid');
            $('#products div.products > article').removeClass('col-xs-12 col-sm-6 col-md-4 col-lg-6 col-xl-4').addClass('col-xs-12');
            $('#products div.products > article .product-content').addClass('row');
            $('#products div.products > article .product-content .thumbnail-container').addClass('col-xs-12 col-sm-6 col-md-4 col-lg-4');
            $('#products div.products > article .product-content .product-description').addClass('col-xs-12 col-sm-6 col-md-8 col-lg-8');
            $('#products div.products.list > article .product-content .thumbnail-inner .thumbnail-buttons').each(function() {
                $(this).appendTo($(this).parent().parent().parent().find('.product-description'))
            });
            $('#products div.products.list > article .product-content .product-description .productcomment_review .hook-reviews').each(function() {
                $(this).appendTo($(this).parent().parent().parent().find('.productcomment_reviews'))
            });
            $('.display').find('#avslist').addClass('selected');
            $('.display').find('#avsgrid').removeAttr('class');
            $.totalStorage('display', 'list')
        }
    }
    /*------- End pro_listGrid js -------*/  
    /*------- Start Headerfixed js -------*/  
    function Headerfixed() {
        var fixed = $(".header_NavFullWidth");
        var height = parseInt(fixed.height());
        var outerHeight = parseInt($("#header").height());
        $(window).scroll(function() {
            if ($(window).width() > 991) {
                if ($(this).scrollTop() > 120) {
                    fixed.addClass("fixed");
                    $('header#header').addClass("header-height").css('marginTop', height)
                } else {
                    fixed.removeClass("fixed");
                    $('header#header').removeClass("header-height").removeAttr('style')
                }
            } else {
                fixed.removeClass("fixed");
                $('header').removeClass("header-height").removeAttr('style')
            }
        })
    }
    $(document).ready(function() { Headerfixed() });
    $(window).resize(function() { Headerfixed() });

    /*------- Start user-language-currency js -------*/ 

    /*------- Start Cookie js -------*/  
    var IsAllowCookie = false; 
    $(document).on('click', '#allowcookie', function(e){
        IsAllowCookie = true;    
    });

    $(window).scroll(function() {    
        var scroll = $(window).scrollTop();
        if (scroll >= 120) {
            $(".cookie-notice").addClass("fixed");
            if ($( ".cookie-notice" ).hasClass( "fixed" ) && $( ".cookie-notice" ).css( "display" ) != "none"  && !IsAllowCookie) {
            }
        } else {
            $(".cookie-notice").removeClass("fixed");
        } 
        IsAllowCookie = false;
    }); 
    