<div id="smartblogblock" class="block products_nav container clearfix">
    <div class="products_inner">
        {if isset($smartshowhometitle) && $smartshowhometitle}
        <div class="tab_title">
            <a href="{smartblog::GetSmartBlogLink('smartblog')}">{l s='Latest News' mod='smartbloghomelatestnews'}</a>
        </div>
        {/if}
        <div class="block_content row">
            {if isset($view_data) AND !empty($view_data)}
            {assign var='i' value=1}
            <div id="smartblog" class="owl-carousel product_list">
                {foreach from=$view_data item=post}
                {assign var="options" value=null}
                {$options.id_post = $post.id}
                {$options.slug = $post.link_rewrite}
                <div class="item sds_blog_post">
                    <div class="blog_post">
                        <span class="news_module_image_holder">
                            <a href="{smartblog::GetSmartBlogLink('smartblog_post',$options)}">
                                <img alt="{$post.title}" class="feat_img_small" src="{$link->getMediaLink($smart_module_dir)}/smartblog/images/{$post.post_img}-home-default.jpg" width="870" height="504">
                            </a>
                            <div class="blog-hover">
                                <span class="blogicons">
                                    <a title="Click to view Full Image" href="{$link->getMediaLink($smart_module_dir)}/smartblog/images/{$post.post_img}-single-default.jpg" data-lightbox="blog-image" class="icon zoom">&nbsp;
                                        <i class="fa fa-search" aria-hidden="true"></i>
                                    </a> 
                                </span>  
                            </div>                               
                        </span>
                        <div class="blog_content">
                            <span class="blog_date">
                               <i class="fa fa-calendar" aria-hidden="true"></i>
                               <span class="day_date">{$post.date_added|date_format:"%e"} -</span>
                               <span class="day_month">{$post.date_added|date_format:"%b"} -</span>
                               <span class="day_year">{$post.date_added|date_format:"%Y"}</span>
                           </span>
                           <h4 class="sds_post_title"><a href="{smartblog::GetSmartBlogLink('smartblog_post',$options)}">{$post.title|escape:'htmlall':'UTF-8'|truncate:30:'...'}</a></h4>
                           <p class="desc">
                            {$post.short_description|escape:'htmlall':'UTF-8'|truncate:90:'...'}
                        </p>
                        <div class="read_more">
                            <a title="Click to view Read More" href="{smartblog::GetSmartBlogLink('smartblog_post',$options)}" class="icon readmore">read more </a>
                        </div>
                    </div>
                </div>
            </div>
            {$i=$i+1}
            {/foreach}
        </div>
        {/if}
    </div>
</div>
</div>